#pragma once

#include "CoreMinimal.h"
#include "EKillerHeight.h"
#include "KillerAttributes.generated.h"

USTRUCT(BlueprintType)
struct FKillerAttributes
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	float Speed;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	float TerrorRadius;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	EKillerHeight Height;

public:
	DBDSHAREDTYPES_API FKillerAttributes();
};

FORCEINLINE uint32 GetTypeHash(const FKillerAttributes) { return 0; }
